GET
/api-keysList API keys
Authentication
Bearer authentication is required for this operation.
Request examples
bash
curl --request GET 'https://api.au.boundry.dev/api-keys' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+200 response
Active API keys for the project.
FieldTypeDescription
datarequiredarrayActive API keys.
created_atrequiredstring (date-time)Timestamp when the key was created. Example: "2026-08-14T12:00:00.000Z".
idrequiredstringAPI key identifier. Example: "msg_01j0example".
namerequiredstringHuman-readable API key name. Example: "Production app".
application/json
{
"data": []
}401 response
Invalid API key.
FieldTypeDescription
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
application/json
{
"data": []
}